<?php
//Chech whether we are indeed included by Piwigo.
if (!defined('FILE_UPLOADER_PATH')) die('Hacking attempt!');

//Load globals
global $template, $conf, $page;

//Library for tabs
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');

//Load translation files
load_language('plugin.lang', FILE_UPLOADER_PATH);

//Check access and exit when user status is not ok
check_status(ACCESS_ADMINISTRATOR);

//Initialization
$my_base_url = get_admin_plugin_menu_link(__FILE__);

//Tab management
if (!isset($_GET['tab']))
    $page['tab'] = 'upload';
else
    $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
$tabsheet->add('upload',
               l10n('Upload'),
               $my_base_url.'&amp;tab=upload');
$tabsheet->add('configuration',
               l10n('Configuration'),
               $my_base_url.'&amp;tab=configuration');
$tabsheet->add('help',
               l10n('Help'),
               $my_base_url.'&amp;tab=help');
$tabsheet->select($page['tab']);
$tabsheet->assign();

switch ($page['tab']) {
	case 'configuration':
		include_once(dirname(__FILE__).'/admin/admin_configuration.php');
		break;
	case 'help':
		include_once(dirname(__FILE__).'/admin/admin_help.php');
		break;
	default:
		include_once(dirname(__FILE__).'/admin/admin_upload.php');
		break;
}
?>